using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using OxyPlot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Timers;
using System.Windows;

namespace GettingStarted.ViewModels
{
    internal partial class MainViewModel2 : ObservableObject
    {
        [ObservableProperty]
        private string _title;

        [ObservableProperty]
        private IList<DataPoint> _points;

        public MainViewModel2()
        {
            Title = "Example 2";
            Points = new List<DataPoint>()
            {
                new DataPoint(0, 4),
                new DataPoint(1, 13),
                new DataPoint(2, 15),
                new DataPoint(3, 16),
                new DataPoint(4, 12),
                new DataPoint(5, 12)
            };
        }
    }
}
